aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBogdan Gheorghe2012-10-22 15:36:17 (EDT)
committerBogdan Gheorghe2012-10-22 15:36:17 (EDT)
commitffa4c1c3481b2190b81f826a8b843c4cb8ee9998 (patch)
tree5eeb5142d9c1c6c47f9fa1d7ebda37feef297288
parent13863bfb1474b10c799b48403e0b3efe6c5d5b4a (diff)
downloadeclipse.platform.releng.maps-ffa4c1c3481b2190b81f826a8b843c4cb8ee9998.zip
eclipse.platform.releng.maps-ffa4c1c3481b2190b81f826a8b843c4cb8ee9998.tar.gz
eclipse.platform.releng.maps-ffa4c1c3481b2190b81f826a8b843c4cb8ee9998.tar.bz2
Updated click through for HPUX
-rw-r--r--org.eclipse.releng/clickThroughs/eclipse-SDK-hpux-gtk-ia64.zip.txt6
-rw-r--r--org.eclipse.releng/clickThroughs/eclipse-platform-hpux-gtk-ia64.zip.txt4
2 files changed, 9 insertions, 1 deletions
diff --git a/org.eclipse.releng/clickThroughs/eclipse-SDK-hpux-gtk-ia64.zip.txt b/org.eclipse.releng/clickThroughs/eclipse-SDK-hpux-gtk-ia64.zip.txt
index 42777e2..c0f289c 100644
--- a/org.eclipse.releng/clickThroughs/eclipse-SDK-hpux-gtk-ia64.zip.txt
+++ b/org.eclipse.releng/clickThroughs/eclipse-SDK-hpux-gtk-ia64.zip.txt
@@ -1,6 +1,8 @@
In order for this version of Eclipse to run, GTK2 libraries must be installed
and available on the library path (i.e. LD_LIBRARY_PATH).
+For example, export LD_LIBRARY_PATH=/opt/gtk_64bit/lib/hpux64/
+
To prevent errors with workspace locking, the following command line should be
used to launch Eclipse:
@@ -8,7 +10,9 @@ used to launch Eclipse:
Otherwise, eclipse may fail to create a lock file with reason: "Workspace in use or cannot be created, choose a different one."
+Note you might also need to add the -d64 option to the vmargs when using an Oracle JRE. (-vmargs -d64)
+
There is a bug in the Oracle Java 7 64-bit JRE (b147) which may cause Eclipse
to crash (http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7070134).
The crash can be avoided by using the -XX:-UseLoopPredicate VM argument
-(-vmargs -XX:-UseLoopPredicate). Alternatively, you can use a different JRE. \ No newline at end of file
+(-vmargs -XX:-UseLoopPredicate). Alternatively, you can use a different JRE.
diff --git a/org.eclipse.releng/clickThroughs/eclipse-platform-hpux-gtk-ia64.zip.txt b/org.eclipse.releng/clickThroughs/eclipse-platform-hpux-gtk-ia64.zip.txt
index 9fb11ea..c0f289c 100644
--- a/org.eclipse.releng/clickThroughs/eclipse-platform-hpux-gtk-ia64.zip.txt
+++ b/org.eclipse.releng/clickThroughs/eclipse-platform-hpux-gtk-ia64.zip.txt
@@ -1,6 +1,8 @@
In order for this version of Eclipse to run, GTK2 libraries must be installed
and available on the library path (i.e. LD_LIBRARY_PATH).
+For example, export LD_LIBRARY_PATH=/opt/gtk_64bit/lib/hpux64/
+
To prevent errors with workspace locking, the following command line should be
used to launch Eclipse:
@@ -8,6 +10,8 @@ used to launch Eclipse:
Otherwise, eclipse may fail to create a lock file with reason: "Workspace in use or cannot be created, choose a different one."
+Note you might also need to add the -d64 option to the vmargs when using an Oracle JRE. (-vmargs -d64)
+
There is a bug in the Oracle Java 7 64-bit JRE (b147) which may cause Eclipse
to crash (http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7070134).
The crash can be avoided by using the -XX:-UseLoopPredicate VM argument